org.apache.ignite.internal

## Class DuplicateTypeIdException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.DuplicateTypeIdException

All Implemented Interfaces:
  Serializable

    public class DuplicateTypeIdException
    extends IgniteCheckedException

The exception indicates a duplicate type ID was encountered.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getMessage()`
`String` `getRegisteredClassName()`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

#### getRegisteredClassName

    public String getRegisteredClassName()

Returns:
  Name of already registered class.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020